Package com.databricks.jdbc.dbclient.impl.http

## Class DatabricksHttpClient

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.http.DatabricksHttpClient

All Implemented Interfaces:
  `IDatabricksHttpClient`, `Closeable`, `AutoCloseable`

    public class DatabricksHttpClient
    extends Object
    implements IDatabricksHttpClient, Closeable

Http client implementation to be used for executing http requests.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`org.apache.http.client.methods.CloseableHttpResponse` `execute​(org.apache.http.client.methods.HttpUriRequest request)` Executes the given http request and returns the response

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### execute

    public org.apache.http.client.methods.CloseableHttpResponse execute​(org.apache.http.client.methods.HttpUriRequest request)
                                                                 throws DatabricksHttpException

Description copied from interface: `IDatabricksHttpClient`
Executes the given http request and returns the response

Specified by:
  `execute` in interface `IDatabricksHttpClient`
Parameters:
  `request` - underlying http request
Returns:
  http response
Throws:
  `DatabricksHttpException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`